Bug 678774 - Review Request: libscs - Software Carry-Save Multiple-Precision Library
Summary: Review Request: libscs - Software Carry-Save Multiple-Precision Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dmitrij S. Kryzhevich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 676159
TreeView+ depends on / blocked
 
Reported: 2011-02-19 14:32 UTC by Tim Niemueller
Modified: 2011-03-10 17:23 UTC (History)
3 users (show)

Fixed In Version: libscs-1.4.1-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 08:23:10 UTC
kryzhev: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2011-02-19 14:32:38 UTC
Spec URL: http://fedorapeople.org/~timn/misc/libscs.spec
SRPM URL: http://fedorapeople.org/~timn/misc/libscs-1.4.1-1.fc14.src.rpm
Description:
The Software Carry-Save (SCS) Library is a fast and lightweight
multiple-precision library.

Website: http://www.ens-lyon.fr/LIP/Arenaire/Ware/SCSLib/
Koji:    https://koji.fedoraproject.org/koji/taskinfo?taskID=2851117

rpmlint:
libscs.src: W: spelling-error %description -l en_US denormals -> de normals, de-normals, normals
libscs.x86_64: W: spelling-error %description -l en_US denormals -> de normals, de-normals, normals
- False positives

libscs.x86_64: W: no-manual-page-for-binary scs_test_accuracy
libscs.x86_64: W: no-manual-page-for-binary scs_test_timing
- No man pages available for the test programs

3 packages and 1 specfiles checked; 0 errors, 7 warnings.

Comment 1 Tim Niemueller 2011-02-19 14:55:00 UTC
Just after posting I discovered a typo in the configure line, causing the library to be built without MPFR support and thus rendering scs_test_accuracy disfunctional.

Spec changed in place, new SRPM is at
http://fedorapeople.org/~timn/misc/libscs-1.4.1-2.fc14.src.rpm.

Comment 2 Dmitrij S. Kryzhevich 2011-02-20 07:01:20 UTC
Why do you move "#include <stdio.h>" in scslib-1.4.1/tests/test_accuracy.c?
Suggestion: make "%doc DocsDev/html" to get html subfolder in -devel.
Are the test programs required?

Comment 3 Dmitrij S. Kryzhevich 2011-02-20 07:55:24 UTC
One more. libscs-devel must Require mpfr-devel and gmp-devel.

Comment 4 Tim Niemueller 2011-02-20 10:46:22 UTC
(In reply to comment #2)
> Why do you move "#include <stdio.h>" in scslib-1.4.1/tests/test_accuracy.c?

Because it is required to get a macro defined in gmp.h, which consequently makes mpfr_out_str available.

> Suggestion: make "%doc DocsDev/html" to get html subfolder in -devel.

Since the HTML documentation is the only thing packaged as %doc it only adds on more meaningless level of hierarchy.

> Are the test programs required?

They provide valuable run-time data specific to the host system the application is running on, therefore they should be shipped with the library afaik.

> One more. libscs-devel must Require mpfr-devel and gmp-devel.

Added.

Spec changed in place, new SRPM is at http://fedorapeople.org/~timn/misc/libscs-1.4.1-3.fc14.src.rpm.

Comment 5 Dmitrij S. Kryzhevich 2011-02-20 11:23:34 UTC
(In reply to comment #4)
> Because it is required to get a macro defined in gmp.h, which consequently
> makes mpfr_out_str available.

Hm. The order of #include influences on the result. Greate.

> Since the HTML documentation is the only thing packaged as %doc it only adds on
> more meaningless level of hierarchy.

Ok.

> They provide valuable run-time data specific to the host system the application
> is running on, therefore they should be shipped with the library afaik.

Ok.

======== Review ===========================
+ rpmlint was run on the source rpm and all binary rpms the build produces.
+ The package was named according to the  Package Naming Guidelines.
+ The spec file name matchs the base package %{name}. 
+ The package meets the  Packaging Guidelines.
+ The package is licensed with a Fedora approved license LGPLv2+.
+ The License field in the package spec file must match the actual license.
+ File, containing the text of the license(s) for the package is included in %doc.
+ The spec file must is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matchs the upstream source.
+ The package is successfully compiled and build into binary rpms on at least one primary architecture.
+ All build dependencies must are listed in BuildRequires.
+ Binary RPM package calls ldconfig in %post and %postun.
+ Packages do NOT bundle copies of system libraries.
+ A package owns all directories that it creates.
+ A package do not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ Package consistently uses macros.
+ The package contains code, or permissable content.
* No localization.
* No large documentaion. 
+ Everything included as %doc do not affect the runtime of the application.
+ Header files are in a -devel package.
* No static libraries. 
+ Library files that end in .so (without suffix) are in a -devel package.
+ Devel packages requires the base package in proper way.
+ Packages do NOT contain any .la libtool archives.
* Not a GUI application. 
+ Packages do not own files or directories already owned by other packages.
+ All filenames in rpm packages must be valid UTF-8.

Approved.

Comment 6 Tim Niemueller 2011-02-20 13:57:23 UTC
Thanks for the thorough review.

New Package SCM Request
=======================
Package Name: libscs
Short Description: Software Carry-Save Multiple-Precision Library
Owners: timn
Branches: f14 f15 el5 el6
InitialCC:

Comment 7 Jason Tibbitts 2011-02-21 20:34:04 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-02-21 23:38:25 UTC
libscs-1.4.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libscs-1.4.1-4.fc14

Comment 9 Fedora Update System 2011-02-21 23:38:54 UTC
libscs-1.4.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libscs-1.4.1-4.fc15

Comment 10 Fedora Update System 2011-02-21 23:39:26 UTC
libscs-1.4.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libscs-1.4.1-4.el5

Comment 11 Fedora Update System 2011-02-21 23:39:55 UTC
libscs-1.4.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libscs-1.4.1-4.el6

Comment 12 Fedora Update System 2011-02-22 18:53:27 UTC
libscs-1.4.1-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libscs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libscs-1.4.1-4.fc14

Comment 13 Fedora Update System 2011-03-03 03:34:55 UTC
libscs-1.4.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-03 08:23:05 UTC
libscs-1.4.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-10 17:23:50 UTC
libscs-1.4.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 16 Fedora Update System 2011-03-10 17:23:58 UTC
libscs-1.4.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.